[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TScreen.BeginWaitCursor

Sets the cursor to the shape in crHourGlass.

## Declaration

Source position: forms.pp line 1266

`public procedure TScreen.BeginWaitCursor;`

## Description

Calls BeginTempCursor using the cursor shape in crHourGlass.

## See also

TScreen.BeginTempCursor |  | Sets the Cursor property to a temporary shape. Use EndTempCursor to release it.
TScreen.BeginScreenCursor |  | Changes the active cursor to the most recent shape in the internal list of cursors.
crHourGlass |  | Busy cursor constant, utilized to indicate that one should wait while an action is done.
TCursor |  | Defines the range of values used for cursor shapes.